Subject: bug#28268: 26.0.50; (MS Windows) crash on C-g after closing Git GUI

From: Richard Copley <[email-masked]>
Date: Tue, 29 Aug 2017 17:48:36 +0100

On 29 August 2017 at 17:38, Noam Postavsky
<[email-masked]> wrote:
> On Tue, Aug 29, 2017 at 11:18 AM, Eli Zaretskii <[email-masked]> wrote:
>>> Recipe:
>>>
>>> Visit a git repo.
>>> C-x g ; magit-status
>>> ! g   ; magit-run-popup, magit-run-git-gui
>>> ;; A nasty-looking window pops up (Git GUI, I presume). Close it.
>>> C-g   ; Crashes.
>>
>> I couldn't reproduce this here: the Git GUI didn't pop up for me.
>> Perhaps something is missing from the recipe ("C-x g" was also
>> unbound), or maybe it's because my Git is configured to be run only
>> from Git Bash, not from anywhere else on Windows.
>
> I can't reproduce this here either. I need the patch at [1] to make
> the GUI pop up, but even after applying that I get no crash.
>
> (magit provides a Makefile such that "C-x g" is bound to magit-status
> if you do 'make emacs-Q', although I don't normally use this on
> Windows since I don't have 'make' on PATH)
>
> [1]: https://patch-diff.githubusercontent.com/raw/magit/magit/pull/3155.patch

It doesn't turn out to be a Magit bug. Please try this recipe instead.

Evaluate this:

  (async-shell-command "\"C:\\Program Files\\Git\\cmd\\Git-GUI.exe\"")

Now type C-g in Emacs about 6 times to see the abort.

Note that the abort is fixed by Eli's recent change.